gpt-image-2 API on AvalAI
gpt-image-2gpt-image-2 is an AI model from OpenAI that is available through AvalAI's OpenAI-compatible API.
Use gpt-image-2 with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "gpt-image-2", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="gpt-image-2",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "gpt-image-2",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- PDF input
- Vision
Endpoints
/v1/images/generations/v1/images/edits
gpt-image-2 rate limits
| Tier | RPM | TPM |
|---|---|---|
| Tier 1 | 1 | 40,000 |
| Tier 2 | 5 | 500,000 |
| Tier 3 | 50 | 1,000,000 |
| Tier 4 | 100 | 4,000,000 |
| Tier 5 | 250 | 1,000,000 |
Related models
Frequently asked questions
What is the gpt-image-2 API on AvalAI?
Create an AvalAI API key and send the model ID gpt-image-2 to one of the supported endpoints shown on this page.
How much does the gpt-image-2 API cost on AvalAI?
The gpt-image-2 API on AvalAI costs $5.00 per 1M input tokens and — per 1M output tokens.
What is the token cost for gpt-image-2?
Current AvalAI pricing for gpt-image-2 is $5.00 / 1M tokens for input and — for output.
What is the gpt-image-2 context window?
The recorded maximum input context for gpt-image-2 is — tokens.
What are the rate limits for gpt-image-2 on AvalAI?
On tier 5, gpt-image-2 on AvalAI supports up to 250 requests per minute and 1,000,000 tokens per minute.
What features does gpt-image-2 support on AvalAI?
gpt-image-2 on AvalAI supports PDF input, Vision.
What account tier is required to use gpt-image-2 on AvalAI?
Calling gpt-image-2 on AvalAI requires tier 1 or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)